> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate signing secret

Generate a new signing secret for an endpoint. The new secret is returned once.

` POST /applications/{appId}/endpoints/{id}/rotate-secret `

Rotate signing secret

Generate a new signing secret for an endpoint. The new secret is returned once.

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Parameters

### ` appId ` (path, required)

Application ID

- ` value `: type ` string ` — Application ID

  - minLength: ` 1 `

### ` id ` (path, required)

Resource ID

- ` value `: type ` string ` — Resource ID

  - minLength: ` 1 `

## Responses

### ` 200 ` — New signing secret

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` signing_secret `

  - ` signing_secret `: type ` string ` — New signing secret

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

### ` 404 ` — Endpoint not found

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X POST 'https://hookstream.io/v1/applications/string/endpoints/string/rotate-secret' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/applications/string/endpoints/string/rotate-secret', {
  method: 'POST',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.post('https://hookstream.io/v1/applications/string/endpoints/string/rotate-secret', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("POST", "https://hookstream.io/v1/applications/string/endpoints/string/rotate-secret", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```